Bug 84675 - Add missing BASIC function and constant documentation
Summary: Add missing BASIC function and constant documentation
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium major
Assignee: Olivier Hallot
QA Contact:
URL: https://web.archive.org/web/201608271...
Whiteboard: target:5.4.0 target:5.4.0.1 target:6.0.0
Keywords: needsDevAdvice
Depends on: 108674 108675 108676 108677 108678 108679 108680
Blocks: HelpGaps
  Show dependency treegraph
 
Reported: 2014-10-04 23:44 UTC by Johnny_M
Modified: 2017-08-09 14:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
BASIC Functions and Constants from LibreOffice source V3.6.2.2 spreadsheet (26.18 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-05-04 22:15 UTC, Olivier Hallot
Details
Constants (33.15 KB, application/pdf)
2017-05-04 22:15 UTC, Olivier Hallot
Details
function summary (35.38 KB, application/pdf)
2017-05-04 22:16 UTC, Olivier Hallot
Details
Functions including parameters (42.32 KB, application/pdf)
2017-05-05 18:35 UTC, Johnny_M
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johnny_M 2014-10-04 23:44:12 UTC
Some Visual Basic-like functions and constants currently implemented in LibreOffice Basic are currently not documented in the LibreOffice help. (Including such ubiquitous as DoEvents, etc.)

See e.g. following for details (including a list generated from the contents of the source code file): http://en.libreofficeforum.org/node/5245
Comment 1 Owen Genat (retired) 2014-10-05 05:07:30 UTC
Seems a reasonable request. All the detail appears to be provided in the linked forum thread. The current version of parser.cxx seems to contain the same list of VBA constants:

http://opengrok.libreoffice.org/xref/core/basic/source/comp/parser.cxx

... as does the source code for v3.3.4.1. Status set to NEW. Version set to 3.3.4.1, but issue probably Inherited from OOo.
Comment 2 Johnny_M 2015-06-07 06:12:01 UTC Comment hidden (obsolete)
Comment 3 Johnny_M 2015-06-07 07:02:32 UTC Comment hidden (obsolete)
Comment 4 Johnny_M 2015-06-07 08:18:40 UTC Comment hidden (obsolete)
Comment 5 Johnny_M 2016-05-12 19:07:52 UTC Comment hidden (obsolete)
Comment 6 Regina Henschel 2017-03-30 21:20:13 UTC
Johnny_M: http://en.libreofficeforum.org does no longer exists. Do you have another place of the list, or have a copy that you can attach here?
Comment 7 Johnny_M 2017-03-31 05:00:22 UTC
(In reply to Regina Henschel from comment #6)
> Johnny_M: http://en.libreofficeforum.org does no longer exists. Do you have
> another place of the list, or have a copy that you can attach here?

Thanks for the heads-up! I've changed the URL to the one of its last crawl by the Wayback Machine (August 27, 2016).
Comment 8 Olivier Hallot 2017-05-04 22:14:03 UTC
I'm attaching here the pdf and ods files from the forum archives.

However I can't get file 

LibreOffice BASIC Functions including Parameters.pdf 

from the archives, so if you have it somewhere, please attach it here.
Comment 9 Olivier Hallot 2017-05-04 22:15:31 UTC
Created attachment 133082 [details]
BASIC Functions and Constants from LibreOffice source V3.6.2.2 spreadsheet
Comment 10 Olivier Hallot 2017-05-04 22:15:54 UTC
Created attachment 133083 [details]
Constants
Comment 11 Olivier Hallot 2017-05-04 22:16:14 UTC
Created attachment 133084 [details]
function summary
Comment 12 Johnny_M 2017-05-05 18:35:41 UTC
Created attachment 133095 [details]
Functions including parameters

(In reply to Olivier Hallot from comment #8)
> I'm attaching here the pdf and ods files from the forum archives.
> 
> However I can't get file 
> 
> LibreOffice BASIC Functions including Parameters.pdf 
> 
> from the archives, so if you have it somewhere, please attach it here.

Thanks! I just found it on http://www.imaccanici.org/en.libreofficeforum.org/node/5245.html, which appears to be another archive.
Comment 13 Commit Notification 2017-05-16 13:23:04 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=9a16735c5ebee4513d02b8f28b2147ec9407c18a

tdf#84675 (part) document hidden BASIC func/const
Comment 14 Commit Notification 2017-05-16 13:23:39 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=fd99f1798a440ccdfb34e910285a7c5c9a9ff08d

tdf#84675 (part2) document hidden BASIC func/const
Comment 15 Olivier Hallot 2017-05-16 19:59:15 UTC
Just comment and call for help: I'll appreciate where in BASIC are the TYP_* constants used, as indicated in the "Constants" document attached.

It looks related to fields in text documents.

Nevertheless these constants don't seem to be used anywhere or they have been put here for later development.

Please advise. Skipping documentation.
Comment 16 Commit Notification 2017-05-18 13:23:00 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=115035ec9e29cc0db7837a52cd7ee8527526d6b1

tdf#84675 (part2) Document hidden BASIC constants
Comment 17 Commit Notification 2017-05-18 13:28:04 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=a50d8ddab0d6037ee72424a21a18b9d07d53bdb7

tdf#84675 (part3) Document Basic constants
Comment 18 Commit Notification 2017-05-18 13:28:38 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=6f947c50faf2969405749fc118659d9d9934eb91

tdf#84675 (part4) document VBA macros support
Comment 19 Johnny_M 2017-05-18 20:41:19 UTC
(In reply to Olivier Hallot from comment #15)
> Just comment and call for help: I'll appreciate where in BASIC are the TYP_*
> constants used, as indicated in the "Constants" document attached.
> 
> It looks related to fields in text documents.
> 
> Nevertheless these constants don't seem to be used anywhere or they have
> been put here for later development.
> 
> Please advise. Skipping documentation.

I can't find any information on how to use them in BASIC either. So, adding needsDevAdvice. Thanks for all the updates by the way!
Comment 20 Commit Notification 2017-05-19 13:52:16 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=bc9c15f996e91256162d8585adf970123f6dd559&h=libreoffice-5-4

tdf#84675 (part2) Document hidden BASIC constants
Comment 21 Commit Notification 2017-05-19 13:52:51 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=71d9804e62dfb6435b99f7e1020db0ce8fdb7e87&h=libreoffice-5-4

tdf#84675 (part3) Document Basic constants
Comment 22 Commit Notification 2017-05-19 13:53:26 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=8c185e311871e4eae877975dedf06444e547f0ec&h=libreoffice-5-4

tdf#84675 (part4) document VBA macros support
Comment 23 Commit Notification 2017-05-19 19:14:55 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=eb145d19480d245228dc6b1032a925adbff8ea78

tdf#84675 Help VBA functions AscW, ChrW, InStrRev
Comment 24 Commit Notification 2017-05-19 19:15:29 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=1268046a80406823e8a43e95738f1869e371821b&h=libreoffice-5-4

tdf#84675 Help VBA functions AscW, ChrW, InStrRev
Comment 25 Commit Notification 2017-05-20 11:30:07 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=0351604e8d6b4e3d797bdf742ff81377eee46b96

tdf#84675 Add help page for StrReverse VBA
Comment 26 Commit Notification 2017-05-20 11:30:41 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=fbd52ae78b3405a6338554877046134df334ff8d&h=libreoffice-5-4

tdf#84675 Add help page for StrReverse VBA
Comment 27 Johnny_M 2017-06-06 22:56:40 UTC
(In reply to Olivier Hallot from comment #15)
> Just comment and call for help: I'll appreciate where in BASIC are the TYP_*
> constants used, as indicated in the "Constants" document attached.
> 
> It looks related to fields in text documents.
> 
> Nevertheless these constants don't seem to be used anywhere or they have
> been put here for later development.
> 
> Please advise. Skipping documentation.

@tagezi: I'm sorry for taking the liberty of asking you here. You seem to be familiar with LO's BASIC. Do you happen to know where in BASIC the TYP_* constants can be used? (E.g., TYP_AUTHORFLD, TYP_CHAPTERFLD, etc. They are defined beginning with here: http://opengrok.libreoffice.org/xref/core/basic/source/runtime/stdobj.cxx#625 ) I can't find any information on how to use them in BASIC either.
Comment 28 Commit Notification 2017-06-14 20:17:38 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=34c220bf13976b2ecaa8af9e0333b74b06d47bfe

tdf#84675 Add help page for DDB function of VBA
Comment 29 Commit Notification 2017-06-14 20:18:55 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=0283e29b71806416024f2ced843ce927e99be7b3&h=libreoffice-5-4

tdf#84675 Add help page for DDB function of VBA
Comment 30 Commit Notification 2017-06-14 21:48:03 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=969c5806ff0d958e8dc19d1abe98a1493842e4ca

tdf#84675 Add help page for FV function of VBA
Comment 31 Commit Notification 2017-06-14 21:48:10 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=ff87da57d195fd80f4c5cb51925f3b4db75ef020&h=libreoffice-5-4

tdf#84675 Add help page for FV function of VBA
Comment 32 Commit Notification 2017-06-14 23:53:02 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=382289ba413f625b8cb41bb6702ad4c7b0e74ab0&h=libreoffice-5-4

tdf#84675 Add help page for IPmt function of VBA
Comment 33 Commit Notification 2017-06-14 23:54:20 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=538aa4791d07f40112953b5625a7dbba96d53105

tdf#84675 Add help page for IPmt function of VBA
Comment 34 Commit Notification 2017-06-16 03:56:08 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=9d965444a9b787726e67c6eb5bbcb8ca9a5de8d2&h=libreoffice-5-4

tdf#84675 Add VBA functions to tree file
Comment 35 Commit Notification 2017-06-16 03:57:25 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=c5180610e70541db0c684fa29100c66355b8bfc2

tdf#84675 Add VBA functions to tree file
Comment 36 Commit Notification 2017-06-16 21:26:30 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=23d9c94939bb42e08f5e21579748e00dde514073

tdf#84675 Add help page for IRR function of VBA
Comment 37 Commit Notification 2017-06-16 21:26:37 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=8837573f15693f8de45618fc1b3342d87de88ae6&h=libreoffice-5-4

tdf#84675 Add help page for IRR function of VBA
Comment 38 Commit Notification 2017-06-16 21:29:01 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=a7dd65f811df7ef82c575a1c3c0be074cb880924&h=libreoffice-5-4

tdf#84675 Add help page for MIRR function of VBA
Comment 39 Commit Notification 2017-06-16 21:29:08 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=139a1c699caadd5365e335a432ffd5fdad8d73de

tdf#84675 Add help page for MIRR function of VBA
Comment 40 Commit Notification 2017-06-17 10:55:53 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=91095e4d234dfb17218c76f096d0c107cf16cec8&h=libreoffice-5-4

tdf#84675 Add help page for NPer function of VBA
Comment 41 Commit Notification 2017-06-17 10:55:59 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=1a2f0ac70b638ac316e081ba2b72309829f00fcc

tdf#84675 Add help page for NPer function of VBA
Comment 42 Xisco Faulí 2017-07-23 11:37:56 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 43 Olivier Hallot 2017-07-23 18:15:11 UTC
The bug has dependencies.
Comment 44 beimaginativeegroup 2017-08-09 14:05:00 UTC
Is this fixed? All dependencies seem to be fixed.
Comment 45 Olivier Hallot 2017-08-09 14:25:59 UTC
Some contents still to write.... See bottom of the page below, notably about Date & time, Input, Math and object functions.

https://helponline.libreoffice.org/6.0/en-US/text/sbasic/shared/special_vba_func.html?&DbPAR=BASIC&System=WIN